Subject: Re: Single socket with TX_RING and RX_RING

From: Phil Sutter <[email-masked]>
Date: Thu, 16 May 2013 13:52:07 +0200

On Thu, May 16, 2013 at 11:01:17AM +0000, Ricardo Tubío wrote:
> Phil Sutter <phil <at> nwl.cc> writes:
> 
> > So you do not call init_ring() twice as one may imply when reading your
> > first mail? Please provide a complete code sample.
> > 
> 
> Yes, I call it twice. The problem is that if I call it twice with the same
> socket_fd, the second time I call it I get the EBUSY error from kernel. I
> have to use two different sockets (two different socket_fd's, therefore) in
> order to workaround this issue.

Which call does produce the EBUSY response, the second setsockopt() or
second mmap() one?